Subject: Re: [bug#40191] mesa: Support rockchip platforms

From: Marius Bakke <[email-masked]>
Date: Sun, 29 Mar 2020 22:13:50 +0200

Vagrant Cascadian <[email-masked]> writes:

> The attached patch enables drivers in mesa which should allow some
> aarch64/armhf rockchip platforms (e.g. veyron-speedy, pinebook pro) to
> make use of gpu acceleration.

Awesome!  :-)

> I haven't thoroughly tested this patch yet, but it does at least build
> and produces an appropriate dri library!

Sounds good.

> There are almost 2000 dependent packages on mesa, so this probably needs
> though core-updates according to current recommendations... I haven't
> tried rebuilding all the dependent packages? FWIW, I *think* it will
> only trigger a rebuild on aarch64/armhf.

Indeed.  We are just about to start the core-updates branch, so this
patch came just in time.  LGTM, please push!